Subject: Re: bug#23926: defcustom with STANDARD=<non-pure-expression> gives confusing results

From: Noam Postavsky <[email-masked]>
Date: Sat, 9 Jul 2016 09:48:18 -0400

On Sat, Jul 9, 2016 at 9:14 AM, Eli Zaretskii <[email-masked]> wrote:
>
> For now, we just compare to the
> previous recorded value (computed at dump time, I presume).

Dump time? This doesn't apply to non-preloaded libraries though, right?

>
>> >> I wonder why Emacs saves only the original expression and not the
>> >> actual original value?
>> >
>> > It does, but then it reevaluates at startup.
>>
>> It seems it's also reevaluated every time the variable is looked at
>> with customize, or describe-variable.
>
> Quite possibly, we reevaluate a defcustom when in doubt.
>
> The question is, given the above, do we need to actually do anything
> with this report, except close it?

Either really save the original value, or don't call it the "original
value". We can't use "default value" because that's already used for
the non-buffer local value, unfortunately. I think "standard value"
could work, though Drew said it was unclear.